Name:           perl-Catalyst-Plugin-ConfigLoader
Version:        0.22
Release:        2%{?dist}
Summary:        Load config files of various types
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-ConfigLoader/
Source0:        http://www.cpan.org/authors/id/B/BR/BRICAS/Catalyst-Plugin-ConfigLoader-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
# cpan
BuildRequires:  perl(Catalyst)
BuildRequires:  perl(Config::Any) >= 0.04
BuildRequires:  perl(Data::Visitor) >= 0.02
BuildRequires:  perl(MRO::Compat) >= 0.09
# test 
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)

Requires:       perl(Catalyst)

%description
This module will attempt to load find and load a configuration file of
various types. Currently it supports YAML, JSON, XML, INI and Perl formats.

%prep
%setup -q -n Catalyst-Plugin-ConfigLoader-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.22-1
- update to 0.22
- add br on MRO::Compat

* Wed Oct 01 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.21-2
- drop _with_network_tests bit

* Thu Sep 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.21-1
- update to 0.21

* Sat May 10 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.20-1
- update to 0.20

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.14-4
- rebuild for new perl

* Wed May 16 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.14-3
- bump

* Mon May 14 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.14-2
- conditionalize test which fails in mock (requires network access)

* Fri Apr 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.14-1
- Specfile autogenerated by cpanspec 1.71.
